#if !defined(AFX_FEATURELIBVIEW_H__859FBB41_1A9A_11D3_A5F1_00902712C9AE__INCLUDED_)
#define AFX_FEATURELIBVIEW_H__859FBB41_1A9A_11D3_A5F1_00902712C9AE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FeatureLibView.h : header file
//
#include "FeatureLibDiag.h"

/////////////////////////////////////////////////////////////////////////////
// CFeatureLibView view

class CFeatureLibView : public CView
{
protected:
	CFeatureLibView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CFeatureLibView)
	CFeatureLibDiag *DiagPanel;
// Attributes
public:

// Operations
public:
	int GetMaxWidth();
	int MaxWid;
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFeatureLibView)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CFeatureLibView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CFeatureLibView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnFileExportFeaturefile();
	afx_msg void OnFileImportFeatures();
	afx_msg void OnEditSelectunusedfeatures();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FEATURELIBVIEW_H__859FBB41_1A9A_11D3_A5F1_00902712C9AE__INCLUDED_)
